<template>
	<page-container :title="title" :showBack="true">
		<view v-html="content">

		</view>
	</page-container>
</template>

<script>
import PageContainer from '@/components/page-container/page-container.vue'

export default {
	components: {
		PageContainer
	},
	onLoad(options) {
		console.log(options)
		if (options.advert) {
			this.load(options.advert)
		}
	},
	data() {
		let title = '';
		// uni.getStorageSync('title')
		title = uni.getStorageSync('fuliwu_title')
		return {
			title,
			content: []
		};
	},
	methods: {
		async load(advert) {
			const { status, data, msg } = await this.$request.get('getDanye', { type: advert });
			if (status == 1) {
				// this.list = data;
				if (this.title == '') {
					this.title = data.title;
				}
				this.content = data.content
			}
		},
	}
}
</script>

<style lang="scss"></style>
